#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,H;scanf("%i%i",&n,&H);
    int a[n+10];for(int i=1;i<=n;i++) scanf("%i",&a[i]);
    int res=-1;
    for(int i=1;i<=n;i++){
		if(a[i]<=H){
			res=i;
			break;
		}
    }
    printf("%i\n",res);
    return 0;
}